#!/bin/bash

BINARY="$1"
[ -z "$BINARY" ] && BINARY=./lumi-g-test-mpi

if true; then
    export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
    export MPICH_GPU_SUPPORT_ENABLED=1

    physcores=(49-55 57-63 17-23 25-31 1-7 9-15 33-39 41-47)
    threads=(7 7 7 7 7 7 7 7)

    export OMP_NUM_THREADS=${threads[$SLURM_LOCALID]}
    #export OMP_DISPLAY_AFFINITY=true
    #export CRAY_OMP_CHECK_AFFINITY=TRUE
    export OMP_PROC_BIND=close
    export OMP_PLACES=cores

    export MPICH_OFI_NIC_POLICY=GPU
    #export MPICH_OFI_NIC_VERBOSE=2

    numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- $BINARY

#printenv >& ENV.$SLURM_PROCID
#numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- gdb -batch -x gdb.cmd --args ./lumi-g-test-mpi

else
    export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
    ./lumi-g-test-mpi
fi
